<%@page language="java" isELIgnored="false" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<jsp:directive.include file="/WEB-INF/sitemesh-common/include.jsp"/>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />

		<title>UI DIALOG DEMO</title>

		<link type="text/css" rel="stylesheet" media="all" href="https://uxt.ucsd.edu/common/jquery-ui/1.8.6/jquery-ui-1.8.6.custom.css" />
		<link type="text/css" rel="stylesheet" media="all" href="https://uxt.ucsd.edu/common/jquery-plugin/dataTables/1.7.4/css/jquery.dataTables-1.7.4.min.css" />
		<script type="text/javascript" src="https://uxt.ucsd.edu/common/jquery-ui/1.8.6/jquery-ui-1.8.6.custom.js" ></script>
		<script type="text/javascript" src="https://uxt.ucsd.edu/common/jquery-plugin/dataTables/1.7.4/js/jquery.dataTables-1.7.4.min.js" ></script>


		<style type="text/css">
		tr.odd {
			height: 2em;
		}
		tr.even {
			height: 2em;
		}
		</style>

		<script type="text/javascript" language="javascript" charset="utf-8">

			$(document).ready(function() {

				//$.ajaxSetup ({
			    //  cache: false
				//});

				var $loading = $('<img src="${pageContext.request.contextPath}/images/loading.gif" alt="loading">');


	   			var oTable = $('#example').dataTable( {
							"sScrollY": 300,
							"bJQueryUI": true,
							"bFilter":false,
							"bPaginate":false,
							"bSort":false,
							"bSortClasses": false,
							"bScrollInfinite":true,
							"bInfo":false,
							"bLengthChange":false
						} );


			    $(function() {
			        $('#example td a').click(function(e) {
						var $dialog = $('<div id="myDialog"></div>').append($loading.clone());
			            var $link = $(this);
			            e.preventDefault();
		            	$dialog.dialog({
			                title: $(this).attr('title'),
			                autoOpen: false,
			                autoResize: true,
			                width: 500,
			                height: 450,
			                modal: true,
			                closeText: 'close',
							buttons: {
								"Cancel": function() {
									$(this).dialog("close");
									$(this).dialog("destroy");
								}
							},
	        				close: function(ev, ui) {
	        					$(this).remove();
        					}
			            }).load($link.attr('href')+"&random="+Math.random()*999999);
//			            }).load($link.attr('href')+' #tdr_content');
			    		$('#myDialog').dialog('open');
			    		return false;
			        });
			    });
			} );
		</script>


	</head>


<body id="dt_example">
<jsp:directive.include file="/WEB-INF/sitemesh-common/include-nav.jsp"/>
<jsp:directive.include file="/WEB-INF/sitemesh-common/include-crumbs.jsp"/>
<h1>UI DIALOG DEMO</h1>
<div class="" id="tdr_content">

		<table id="example" cellpadding="0" cellspacing="0">
			<thead>
				<tr>
					<th class="thead" style="text-align:center;">Select</th>
					<th class="thead" style="text-align:center;">ID</th>
					<th class="thead" style="text-align:center;">Title</th>
					<th class="thead" style="text-align:center;">Content</th>
					<th class="thead" style="text-align:center;">Post Time</th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${posts}" var="current" varStatus="i">
				<tr>
					<td nowrap="nowrap" class="tabletd">
						<a href="${pageContext.request.contextPath}/selectPost?idKey=${current.id}"  title="Edit" class="icon_pencil" style="padding-bottom: 0.5em;"></a>
					</td>
					<td nowrap="nowrap" class="tabletd">

							${current.id}
						&nbsp;
					</td>
					<td nowrap="nowrap" class="tabletd">

							${current.title}
						&nbsp;
					</td>
					<td nowrap="nowrap" class="tabletd">

							${current.content}
						&nbsp;
					</td>
					<td nowrap="nowrap" class="tabletd">
							<fmt:formatDate dateStyle="short" type="both" value="${current.posttime}"/>
						&nbsp;
					</td>
				</tr>
				</c:forEach>
			</tbody>
		</table>


</div>
</body>
</html>