<%@page language="java" isELIgnored="false"
	contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<jsp:directive.include file="/WEB-INF/sitemesh-common/include.jsp" />
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<title>Post</title>
	</head>
	<body>
		<div id="tdr_content" class="tdr_fonts itag_webapp"
			style="text-align: left;">

			<form:form id="formSearch"
				action="${pageContext.request.contextPath}/savePost" method="POST"
				modelAttribute="post" name="modifying">
				<fieldset style="background: white;">
					<legend style="text-align: left; font-size: 10pt;">
						Post ID: ${post.id}
					</legend>

					<form:errors path="*">
						<div class="errors">
							<h2>
								ATTENTION!
							</h2>
							<p>
								Please make the following correction(s) before proceeding.
							</p>
							<p>
								<form:errors path="*" />
							</p>
						</div>
					</form:errors>

					<div id="errors">
					</div>

					<div class="itag_help itag_required">
						required
					</div>
					<br>

					<form:hidden path="id" id="id"/>

					<div class="itag_field_top">
						<div class="itag_label">
							<label for="title">
								Title
							</label>
						</div>
						<div class="itag_input">
							<form:input path="title" id="title"/>
							<div id="title_err">
								<form:errors path="title" />
							</div>
						</div>
					</div>
					<div class="itag_field_top">
						<div class="itag_label">
							<label for="content">
								Content
							</label>
						</div>
						<div class="itag_input">
							<form:input path="content" id="content"/>
							<div id="title_err">
								<form:errors path="content" />
							</div>
						</div>
					</div>
					<div class="itag_field_top">
						<div class="itag_label">
							<label for="datepicker">
								Posted Time
							</label>
						</div>
						<div class="itag_input">

							<spring:bind path="posttime">
								<input class="datepicker" type="text"
									value="<fmt:formatDate value="${post.posttime}"  type="date" pattern="MM/dd/yyyy"/>"
									id="posttime" name="posttime" />
							</spring:bind>

						</div>
					</div>

					<!-- Submit -->
					<div id="dwrap">
						<div style="text-align: center;">
							<input class="itag_primary_button" style="padding: 0.3em;"
								type="submit" value="Preview Changes" />
						</div>
						<div style="clear: both;"></div>
					</div>

				</fieldset>
			</form:form>


			<script type="text/javascript">
			function $importJS(src) {
				var scriptElem = document.createElement('script');
				scriptElem.setAttribute('src', src);
				scriptElem.setAttribute('type', 'text/javascript');
				document.getElementsByTagName('head')[0].appendChild(scriptElem);
			}
			function $importCSS(src) {
				var scriptElem = document.createElement('link');
				scriptElem.setAttribute('href', src);
				scriptElem.setAttribute('rel', 'stylesheet');
				scriptElem.setAttribute('type', 'text/css');
				document.getElementsByTagName('head')[0].appendChild(scriptElem);
			}

			// import with a random query parameter to avoid caching
			function $importNoCache(src) {
				var ms = new Date().getTime().toString();
				var seed = "?" + ms;
				$import(src + seed);
			}

			var delay = 1;
			setTimeout("loadExtraFiles();", delay * 1000);

			function loadExtraFiles() {
				$importJS('/uidialog/js/custom.js');
				$importJS('/uidialog/js/jquery.form.js');
			}
			</script>
		</div>
	</body>
</html>


