package edu.ucsd.act.demo.dao;

import java.util.LinkedHashSet;
import java.util.Set;

import edu.ucsd.act.demo.domain.Post;

/**
 * @author haforoozanfard
 * DAO to manage Post entities.
 *
 */
public interface PostDAO{


	/**
	 * findAllPosts
	 * @throws Exception
	 *
	 */
	public Set<Post> findAllPosts() throws Exception;


	/**
	 * findPostById
	 *
	 */
	public Post findPostById(Integer idKey, LinkedHashSet<Post> posts) throws Exception;


}