package edu.ucsd.act.demo.domain;

import java.io.Serializable;
import java.util.Calendar;
import java.util.Date;

/**
 * @author haforoozanfard
 *
 */
public class Post implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 */
	Integer id;

	/**
	 */
	String title;

	/**
	 */
	String content;

	/**
	 */
	Date posttime;

	/**
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 */
	public Integer getId() {
		return this.id;
	}

	/**
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 */
	public String getTitle() {
		return this.title;
	}

	/**
	 */
	public void setContent(String content) {
		this.content = content;
	}

	/**
	 */
	public String getContent() {
		return this.content;
	}

	/**
	 */
	public void setPosttime(Date posttime) {
		this.posttime = posttime;
	}

	/**
	 */
	public Date getPosttime() {
		return this.posttime;
	}

	/**
	 */
	public Post() {
	}

	/**
	 * Copies the contents of the specified bean into this bean.
	 *
	 */
	public void copy(Post that) {
		setId(that.getId());
		setTitle(that.getTitle());
		setContent(that.getContent());
		setPosttime(that.getPosttime());
	}

	/**
	 * Returns a textual representation of a bean.
	 *
	 */
	public String toString() {

		StringBuilder buffer = new StringBuilder();

		buffer.append("id=[").append(id).append("] ");
		buffer.append("title=[").append(title).append("] ");
		buffer.append("content=[").append(content).append("] ");
		buffer.append("posttime=[").append(posttime).append("] ");

		return buffer.toString();
	}

	/**
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = (int) (prime * result + ((id == null) ? 0 : id.hashCode()));
		return result;
	}

	/**
	 */
	public boolean equals(Object obj) {
		if (obj == this)
			return true;
		if (!(obj instanceof Post))
			return false;
		Post equalCheck = (Post) obj;
		if ((id == null && equalCheck.id != null) || (id != null && equalCheck.id == null))
			return false;
		if (id != null && !id.equals(equalCheck.id))
			return false;
		return true;
	}
}
