package edu.ucsd.act.demo.web.validator;

import org.springframework.validation.Errors;
import org.springframework.validation.ValidationUtils;
import org.springframework.validation.Validator;

import edu.ucsd.act.demo.domain.Post;

/**
 * @author haforoozanfard
 *
 */
public class PostValidator implements Validator {

	@SuppressWarnings("unchecked")
	public boolean supports(Class clazz) {
		return Post.class.equals(clazz);
	}

	public void validate(Object obj, Errors e) {
		ValidationUtils.rejectIfEmpty(e,"title","test.mine","title can not be empty.");
		ValidationUtils.rejectIfEmpty(e,"content","test.mine","content can not be empty.");
		ValidationUtils.rejectIfEmpty(e,"posttime","test.mine","posttime can not be empty.");
	}

}
