package edu.ucsd.act.demo.service;

import edu.ucsd.act.demo.domain.Post;

import java.util.LinkedHashSet;
import java.util.Set;

/**
 * @author haforoozanfard
 * Spring service that handles CRUD requests for Post entities
 *
 */
public interface PostService {

	/**
	 * Load an existing Post entity
	 *
	 */
	public Set<Post> loadPosts();

	/**
	 * Save an existing Post entity
	 *
	 */
	public Set<Post> savePost(Post post, LinkedHashSet<Post> posts);

	/**
	 * Delete an existing Post entity
	 *
	 */
	public void deletePost(Post post_1);
}